Author Topic: Plus sign "+" problem - Possible bug in latest FW release (1.7.830/1.7.2043)  (Read 1687 times)

Offline darkman

  • Newbie
  • *
  • Posts: 3
  • Karma: +0/-0
Hello,

I wanted to notify about one bug in new vera FW release (1.7.830/1.7.2043).
Saving scene with additional luup code which is containing plus ("+") sign doesn't work correctly.
You can find it in scenes configuration, in "Also, execute the following Luup code:".

It appeared after last update of my Vera lite to 1.7.830.
Existing scenes are not affected. It happens only when I update or create new scene.

I have done similar test on Vera Edge before updating to 1.7.2043 and after.
Before I was able to save dummy luup code:
 
Code: [Select]
--test 123+456
  local test = 1 + 1
After firmware update when I save such luup code, it is visible as:
Code: [Select]
--test 123 456
local test = 1   1
(plus sign not saved)

I advise not to change existing scenes containing "+" sign till problem is resolved in next update.

To be sure if is is also not working in your Vera you can create test scene as I described above.


Offline akbooer

  • Beta Testers
  • Master Member
  • *****
  • Posts: 6204
  • Karma: +276/-70
  • "Less is more"
Yes, this is a serious error with the latest firmware update.  I think it's something to do with not handling URL escapes correctly in the code that's sent between the browser UI code and Vera.  This is screwing things up for a lot of people.
3x Vera Lite-UI5/Edge-UI7, 25x Fibaro, 23x TKB, 9x MiniMote, 2x NorthQ Power, 2x Netatmo, 1x Foscam FI9831P, 9x Philips Hue,
Razberry, MySensors Arduino, HomeWave, AltUI, AltHue, DataYours, Grafana, openLuup, ZWay, ZeroBrane Studio.

Offline darkman

  • Newbie
  • *
  • Posts: 3
  • Karma: +0/-0
Hello
Just to let you know: this problem is fixed in latest beta version:
http://forum.micasaverde.com/index.php?topic=38709.new#new
In my case (veraLite) it is 1.7.851,

I know it is not advised to install beta on production environment.
If the problem is big enough so you to accept the risk of beta - you can install the it like I did.
Otherwise you can install for next 'stable'...if we can call it like that  ;).
I would rather say 'veraStable' :)

Bye